<template>
	<uni-popup ref="tipPopup" :animation="false" :is-mask-click="false"
	 mask-background-color="rgba(0,0,0, 0.76);">
	 <view class="phone-tip-dialog">
			<view class="common-body-box">
				<view class="tip-title">{{title}}</view>
				<view class="tip-content" :class="dialogContentClass">{{content}}</view>
			</view>
	 </view>
	</uni-popup>
</template>

<script setup>
	import { ref } from 'vue';
	const props = defineProps({
		title: {
		  type: String,
		  default: ''
		},
	  content: {
	    type: String,
		require: true,
	    default: ''
	  },
	});
	const tipPopup = ref(null); // 索引
	const $emit = defineEmits(['confirm-btn'])
	// 打开弹窗
	function handleShow() {
		tipPopup.value.open();
	}
	defineExpose({
			handleShow
		})
</script>

<style>
</style>